Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.views.markers
Class MarkerViewUtil

    java.lang.Object
      org.eclipse.ui.views.markers.MarkerViewUtil

public class MarkerViewUtil
extends Object

Utility class for showing markers in the marker views.

Constructor Summary
`MarkerViewUtil()`

Method Summary
`static String` | `getViewId(IMarker marker)` Returns the id of the view used to show markers of the same type as the given marker.
`static boolean` | `showMarker(IWorkbenchPage page, IMarker marker, boolean showView)` Shows the given marker in the appropriate view in the given page.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MarkerViewUtil

    public MarkerViewUtil()

Method Detail

### getViewId

    public static String getViewId(IMarker marker)
                            throws CoreException

  Returns the id of the view used to show markers of the same type as the given marker.

  Parameters:
    `marker` - the marker
  Returns:
    the view id or `null` if no appropriate view could be determined
  Throws:
    `CoreException` - if an exception occurs testing the type of the marker

### showMarker

    public static boolean showMarker(IWorkbenchPage page,
                                     IMarker marker,
                                     boolean showView)

  Shows the given marker in the appropriate view in the given page. This must be called from the UI thread.

  Parameters:
    `page` - the workbench page in which to show the marker
    `marker` - the marker to show
    `showView` - `true` if the view should be shown first `false` to only show the marker if the view is already showing
  Returns:
    `true` if the marker was successfully shown, `false` if not

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.